-- | This file should not be imported directly. Import "Test.OITestGenerator"
--   instead.
module Test.OITestGenerator.HasGens (
    HasGens(..)
) where

import Language.Haskell.TH
import Prelude

class HasGens a where
    -- | Use to specify custom generators for the given operation or axiom. The
    -- @i@-th element of the list corresponds to the @i@-th argument. All
    -- generators must be specified. Not using a custom generator for specific
    -- arguments can be achieved by passing 'arbitrary'.
    withGens :: a -> [Name] -> a
